Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs	(revision 55)
@@ -37,10 +37,13 @@
             OrderCotegory = 0,
             OrderersCode,
             DisplayOrder,
+            OrderFlg,
             CorporateStatusName,
             CorporateStatusPoint,
             OrderersName1,
             OrderersName2,
+            DepartmentName,
+            ChargePersonName,
             ZipCode,
             Address1,
             Address2,
@@ -47,6 +50,7 @@
             Address3,
             PhoneNumber,
             FaxNumber,
+            MailAddress,
             Note,
             DeleteFlg,
             EntryDate,
@@ -66,10 +70,9 @@
 
         #endregion
 
-        #region パブリックメソッド
-
+        #region 発注者マスタ検索SQL作成
         /// <summary>
-        /// 発注者マスタ検索
+        /// 発注者マスタ検索SQL作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">発注者マスタデータ</param>
@@ -80,10 +83,13 @@
             strcmd += "  OrderCotegory";
             strcmd += " ,OrderersCode";
             strcmd += " ,DisplayOrder";
+            strcmd += " ,OrderFlg";
             strcmd += " ,CorporateStatusName";
             strcmd += " ,CorporateStatusPoint";
             strcmd += " ,OrderersName1";
             strcmd += " ,OrderersName2";
+            strcmd += " ,DepartmentName";
+            strcmd += " ,ChargePersonName";
             strcmd += " ,ZipCode";
             strcmd += " ,Address1";
             strcmd += " ,Address2";
@@ -90,6 +96,7 @@
             strcmd += " ,Address3";
             strcmd += " ,PhoneNumber";
             strcmd += " ,FaxNumber";
+            strcmd += " ,MailAddress";
             strcmd += " ,Note";
             strcmd += " ,DeleteFlg";
 
@@ -99,6 +106,13 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region 発注者マスタ検索（複数）
+        /// <summary>
+        /// 発注者マスタ検索（複数）
+        /// </summary>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<OrderersMaster> data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -129,6 +143,13 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 発注者マスタ検索（1件）
+        /// <summary>
+        /// 発注者マスタ検索（1件）
+        /// </summary>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref OrderersMaster data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -159,9 +180,11 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 発注者マスタ追加(複数)
         /// <summary>
-        /// 発注者マスタ追加
+        /// 発注者マスタ追加(複数)
         /// </summary>
         /// <param name="data">発注者マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -170,35 +193,71 @@
             string strcmd = "";
             try
             {
-
                 foreach (OrderersMaster work in data)
                 {
-                    strcmd = "INSERT INTO OrderersMaster";
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
 
-                    strcmd += " VALUES (";
+        #region 発注者マスタ追加(1件)
+        /// <summary>
+        /// 発注者マスタ追加(1件)
+        /// </summary>
+        /// <param name="data">発注者マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(OrderersMaster work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
 
-                    strcmd += string.Format("  {0}", work.OrderCotegory);
-                    strcmd += string.Format(", {0}", work.OrderersCode);
-                    strcmd += string.Format(", {0}", work.DisplayOrder);
-                    strcmd += ", '" + work.CorporateStatusName + "'";
-                    strcmd += string.Format(", {0}", work.CorporateStatusPoint);
-                    strcmd += ", '" + work.OrderersName1 + "'";
-                    strcmd += ", '" + work.OrderersName2 + "'";
-                    strcmd += ", '" + work.ZipCode + "'";
-                    strcmd += ", '" + work.Address1 + "'";
-                    strcmd += ", '" + work.Address2 + "'";
-                    strcmd += ", '" + work.Address3 + "'";
-                    strcmd += ", '" + work.PhoneNumber + "'";
-                    strcmd += ", '" + work.FaxNumber + "'";
-                    strcmd += ", '" + work.Note + "'";
-                    strcmd += string.Format(", {0}", work.DeleteFlg);
+                strcmd = "INSERT INTO OrderersMaster";
+                strcmd += " (";
 
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd = strcmd + ")";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(OrderersColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
-                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", work.OrderCotegory);
+                strcmd += string.Format(", {0}", work.OrderersCode);
+                strcmd += string.Format(", {0}", work.DisplayOrder);
+                strcmd += string.Format(", {0}", work.OrderFlg);
+                strcmd += string.Format(",'{0}'", work.CorporateStatusName);
+                strcmd += string.Format(", {0}", work.CorporateStatusPoint);
+                strcmd += string.Format(",'{0}'", work.OrderersName1);
+                strcmd += string.Format(",'{0}'", work.OrderersName2);
+                strcmd += string.Format(",'{0}'", work.DepartmentName);
+                strcmd += string.Format(",'{0}'", work.ChargePersonName);
+                strcmd += string.Format(",'{0}'", work.ZipCode);
+                strcmd += string.Format(",'{0}'", work.Address1);
+                strcmd += string.Format(",'{0}'", work.Address2);
+                strcmd += string.Format(",'{0}'", work.Address3);
+                strcmd += string.Format(",'{0}'", work.PhoneNumber);
+                strcmd += string.Format(",'{0}'", work.FaxNumber);
+                strcmd += string.Format(",'{0}'", work.Note);
+                strcmd += string.Format(",'{0}'", work.MailAddress);
+                strcmd += string.Format(", {0}", work.DeleteFlg);
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
@@ -207,7 +266,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 発注者マスタ更新
         /// <summary>
         /// 発注者マスタ更新
         /// </summary>
@@ -225,20 +286,24 @@
                 strcmd += " SET";
 
                 strcmd += string.Format("  OrderCotegory = {0}", data.OrderCotegory);
-                strcmd += string.Format(" ,OrderersCode = {0}", data.OrderersCode);
-                strcmd += string.Format(" ,DisplayOrder = {0}", data.DisplayOrder);
-                strcmd += " ,CorporateStatusName = '" + data.CorporateStatusName + "'";
-                strcmd += string.Format(" ,CorporateStatusPoint = {0}", data.CorporateStatusPoint);
-                strcmd += " ,OrderersName1 = '" + data.OrderersName1 + "'";
-                strcmd += " ,OrderersName2 = '" + data.OrderersName2 + "'";
-                strcmd += " ,ZipCode = '" + data.ZipCode + "'";
-                strcmd += " ,Address1 = '" + data.Address1 + "'";
-                strcmd += " ,Address2 = '" + data.Address2 + "'";
-                strcmd += " ,Address3 = '" + data.Address3 + "'";
-                strcmd += " ,PhoneNumber = '" + data.PhoneNumber + "'";
-                strcmd += " ,FaxNumber = '" + data.FaxNumber + "'";
-                strcmd += " ,Note = '" + data.Note + "'";
-                strcmd += string.Format(" ,DeleteFlg = {0}", data.DeleteFlg);
+                strcmd += string.Format(", OrderersCode = {0}", data.OrderersCode);
+                strcmd += string.Format(", DisplayOrder = {0}", data.DisplayOrder);
+                strcmd += string.Format(", OrderFlg = {0}", data.OrderFlg);
+                strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", OrderersName1 = '{0}'", data.OrderersName1);
+                strcmd += string.Format(", OrderersName2 = '{0}'", data.OrderersName2);
+                strcmd += string.Format(", DepartmentName = '{0}'", data.DepartmentName);
+                strcmd += string.Format(", ChargePersonName = '{0}'", data.ChargePersonName);
+                strcmd += string.Format(", ZipCode = '{0}'", data.ZipCode);
+                strcmd += string.Format(", Address1 = '{0}'", data.Address1);
+                strcmd += string.Format(", Address2 = '{0}'", data.Address2);
+                strcmd += string.Format(", Address3 = '{0}'", data.Address3);
+                strcmd += string.Format(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd += string.Format(", Note = '{0}'", data.Note);
+                strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
+                strcmd += string.Format(", DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -253,8 +318,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 発注者マスタ削除
         /// <summary>
         /// 発注者マスタ削除
         /// </summary>
@@ -279,7 +345,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -293,11 +361,14 @@
                 wrk.OrderCotegory = int.Parse(objwrk[(int)OrderersColumn.OrderCotegory].ToString());
                 wrk.OrderersCode = int.Parse(objwrk[(int)OrderersColumn.OrderersCode].ToString());
                 wrk.DisplayOrder = int.Parse(objwrk[(int)OrderersColumn.DisplayOrder].ToString());
+                wrk.OrderFlg = int.Parse(objwrk[(int)OrderersColumn.OrderFlg].ToString());
                 wrk.CorporateStatusName = objwrk[(int)OrderersColumn.CorporateStatusName].ToString();
                 wrk.CorporateStatusPoint = int.Parse(objwrk[(int)OrderersColumn.CorporateStatusPoint].ToString());
 
                 wrk.OrderersName1 = objwrk[(int)OrderersColumn.OrderersName1].ToString();
                 wrk.OrderersName2 = objwrk[(int)OrderersColumn.OrderersName2].ToString();
+                wrk.DepartmentName = objwrk[(int)OrderersColumn.DepartmentName].ToString();
+                wrk.ChargePersonName = objwrk[(int)OrderersColumn.ChargePersonName].ToString();
                 wrk.ZipCode = objwrk[(int)OrderersColumn.ZipCode].ToString();
                 wrk.Address1 = objwrk[(int)OrderersColumn.Address1].ToString();
                 wrk.Address2 = objwrk[(int)OrderersColumn.Address2].ToString();
@@ -304,6 +375,7 @@
                 wrk.Address3 = objwrk[(int)OrderersColumn.Address3].ToString();
                 wrk.PhoneNumber = objwrk[(int)OrderersColumn.PhoneNumber].ToString();
                 wrk.FaxNumber = objwrk[(int)OrderersColumn.FaxNumber].ToString();
+                wrk.MailAddress = objwrk[(int)OrderersColumn.MailAddress].ToString();
                 wrk.Note = objwrk[(int)OrderersColumn.Note].ToString();
                 wrk.DeleteFlg = int.Parse(objwrk[(int)OrderersColumn.DeleteFlg].ToString());
 
@@ -319,12 +391,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
             }
         }
-
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 発注者コードの最大値を取得する
         /// <summary>
         /// 発注者コードの最大値を取得する
         /// </summary>
@@ -362,7 +431,9 @@
 
             return iRet;
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -384,6 +455,9 @@
 
             return strWork;
         }
+        #endregion
+
+        #region 指定表示順の最大値を取得する
         /// <summary>
         /// 指定表示順の最大値を取得する
         /// </summary>
@@ -421,6 +495,9 @@
 
             return iRet;
         }
+        #endregion
+
+        #region 指定レコードの表示順を更新する
         /// <summary>
         /// 指定レコードの表示順を更新する
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApproval.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApproval.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApproval.cs	(revision 55)
@@ -42,8 +42,8 @@
             PetitionApprovalDate,
             ApprovalLimitDates,
             ApprovalStatus,
-            ENTRYDATE,
-            UPDATEDATE
+            EntryDate,
+            UpdateDate
         }
         #endregion
 
@@ -205,19 +205,16 @@
             {
 
                 strcmd = "INSERT INTO PersonApproval";
-                strcmd += " (PersonCode";
-                strcmd += ",ApprovalCode";
-                strcmd += ",OrderDate";
-                strcmd += ",OrderNo";
-                strcmd += ",SeqNo";
-                strcmd += ",PersonCodeApproval";
-                strcmd += ",PetitionApprovalDate";
-                strcmd += ",ApprovalLimitDates";
-                strcmd += ",ApprovalStatus";
-                strcmd += ",EntryDate";
-                strcmd += ",UpdateDate)";
 
-                strcmd += " VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
                 strcmd += string.Format("  {0}", data.PersonCode.ToString());
                 strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
@@ -395,8 +392,8 @@
                 wrk.ApprovalLimitDates = DateTime.Parse(objwrk[(int)ColumnName.ApprovalLimitDates].ToString());
                 wrk.ApprovalStatus = int.Parse(objwrk[(int)ColumnName.ApprovalStatus].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRYDATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATEDATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 55)
@@ -199,33 +199,33 @@
             string strcmd = "";
             try
             {
-                    strcmd = "INSERT INTO PersonApprovalComment";
-                    strcmd += " (PersonCode";
-                    strcmd += ",ApprovalCode";
-                    strcmd += ",OrderDate";
-                    strcmd += ",OrderNo";
-                    strcmd += ",CommentNo";
-                    strcmd += ",ParentNo";
-                    strcmd += ",ApproValComment";
-                    strcmd += ",EntryDate";
-                    strcmd += ",UpdateDate)";
+                strcmd = "INSERT INTO PersonApprovalComment";
 
-                    strcmd += " VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
 
-                    strcmd += string.Format("  {0}", data.PersonCode.ToString());
-                    strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", data.OrderNo.ToString());
-                    strcmd += string.Format(", {0}", data.CommentNo.ToString());
-                    strcmd += string.Format(", {0}", data.ParentNo.ToString());
-                    strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+                strcmd += ") VALUES (";
 
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd = strcmd + ")";
+                strcmd += string.Format("  {0}", data.PersonCode.ToString());
+                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd += string.Format(", {0}", data.CommentNo.ToString());
+                strcmd += string.Format(", {0}", data.ParentNo.ToString());
+                strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
 
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 55)
@@ -42,8 +42,8 @@
             ApprovalLimitDates,
             ApprovalStatus,
             InputComment,
-            ENTRY_DATE,
-            UPDATE_DATE
+            EntryDate,
+            UpdateDate
         }
         #endregion
 
@@ -205,19 +205,16 @@
             {
 
                     strcmd = "INSERT INTO ProcessApproval";
-                    strcmd += " (ConstructionCode";
-                    strcmd += ",ApprovalCode";
-                    strcmd += ",OrderNo";
-                    strcmd += ",SeqNo";
-                    strcmd += ",PersonCode";
-                    strcmd += ",PetitionApprovalDate";
-                    strcmd += ",ApprovalLimitDates";
-                    strcmd += ",ApprovalStatus";
-                    strcmd += ",InputComment";
-                    strcmd += ",EntryDate";
-                    strcmd += ",UpdateDate)";
 
-                    strcmd += " VALUES (";
+                    strcmd += " (";
+                    bool bFirst = true;
+                    foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                    {
+                        if (!bFirst) strcmd += " ,";
+                        strcmd += gender.ToString();
+                        bFirst = false;
+                    }
+                    strcmd += ") VALUES (";
 
                     strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
                     strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
@@ -395,8 +392,8 @@
                 wrk.ApprovalStatus = int.Parse(objwrk[(int)ColumnName.ApprovalStatus].ToString());
                 wrk.InputComment = objwrk[(int)ColumnName.InputComment].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 55)
@@ -198,31 +198,32 @@
             try
             {
 
-                    strcmd = "INSERT INTO ProcessApprovalComment";
-                    strcmd += " (ConstructionCode";
-                    strcmd += ",ApprovalCode";
-                    strcmd += ",OrderNo";
-                    strcmd += ",CommentNo";
-                    strcmd += ",ParentNo";
-                    strcmd += ",ApproValComment";
-                    strcmd += ",EntryDate";
-                    strcmd += ",UpdateDate)";
+                strcmd = "INSERT INTO ProcessApprovalComment";
 
-                    strcmd += " VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
 
-                    strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
-                    strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
-                    strcmd += string.Format(", {0}", data.OrderNo.ToString());
-                    strcmd += string.Format(", {0}", data.CommentNo.ToString());
-                    strcmd += string.Format(", {0}", data.ParentNo.ToString());
-                    strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+                strcmd += ") VALUES (";
 
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd = strcmd + ")";
+                strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd += string.Format(", {0}", data.CommentNo.ToString());
+                strcmd += string.Format(", {0}", data.ParentNo.ToString());
+                strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
 
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
